Home > Cannot Load > Rails Console Cannot Load Such File -- Readline

Rails Console Cannot Load Such File -- Readline

Contents

Converting the weight of a potato into a letter grade What is the total sum of the cardinalities of all subsets of a set? Is this Business or Tourism? Linked 8 Rails console: in `require': cannot load such file — readline (LoadError) 0 Rails console doesn't work 0 Rails console does not start Related 1Cannot load Ruby EventMachine in Rails Why are password boxes always blanked out when other sensitive data isn't? http://culturahq.com/cannot-load/cannot-load-such-file-readline-1-9-3.html

Missing psych for YAML with Ruby 2.1.0 On *BSD at runtime when you require "yaml" or try to use RubyGems: It seems your ruby installation is missing psych (for YAML output). Where can I find a detailed list of fees for cruise bookings? You signed in with another tab or window. irb(main):001:0> sstephenson closed this Nov 6, 2011 danielribeiro commented Jan 6, 2012 I got the same problem.

Rails Console Cannot Load Such File -- Readline

But if you do that, new developers on the same project have to know to do this too. Reload to refresh your session. What crime would be illegal to uncover in medieval Europe? no checking for readline() in -ledit...

You probably need to install openssl development headers: Ubuntu: apt-get install libssl-dev Fedora: yum install openssl-devel MacPorts users may need to specify OpenSSL's location manually: RUBY_CONFIGURE_OPTS=--with-openssl-dir=/opt/local rbenv install OpenSSL “SSLv3_method undeclared” If you get error with readline during the build of ruby, use the RUBY_CONFIGURE_OPTS to specify where to find libreadline.so. Personal Open source Business Explore Sign up Sign in Pricing Blog Support Search GitHub This repository Watch 294 Star 8,795 Fork 816 rbenv/rbenv Code Issues 36 Pull requests 14 Projects Ruby Readline To install rbx and/or Ruby 1.9 head (MRI) (eg. 1.9.2-head), then you must install and use rvm 1.8.7 first.

Already have an account? Rb-readline ruby-on-rails ruby ruby-on-rails-3 heroku share|improve this question asked Feb 18 '12 at 10:45 Only Bolivian Here 12.4k47124218 add a comment| 8 Answers 8 active oldest votes up vote 55 down vote What crime would be illegal to uncover in medieval Europe? http://stackoverflow.com/questions/27310020/rails-console-require-cannot-load-such-file Reload to refresh your session.

echo $PATH: /home/ben/.rbenv/shims:/home/ben/.rbenv/bin:/home/ben/.rbenv/shims:/home/ben/.rbenv/bin:/home/ben/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games which irb: /home/ben/.rbenv/shims/irb Thanks, Ben sstephenson commented Nov 6, 2011 I'm sorry it's not working for you, but I'm afraid it's not an rbenv issue—rbenv doesn't know anything Rvm regards, AR GuanglinDu commented Dec 29, 2014 Take a look at this rbenv/ruby-build#526 CloCkWeRX closed this Jul 27, 2015 Sign up for free to join this conversation on GitHub. share|improve this answer answered Sep 8 '12 at 21:21 Lasse Dahl Ebert 1,94711722 This answer should be marked as the correct one, @only-bolivan-here. –jackyalcine Sep 24 '12 at 14:28 asked 4 years ago viewed 51005 times active 6 months ago Upcoming Events 2016 Community Moderator Election ends Nov 22 Get the weekly newsletter!

Rb-readline

On Debian 7 with a Rails 4.2.3/Refinery 3.0 project, was getting that error for RAILS_ENV=staging rails c and this fixed it. –Nate Beaty Aug 12 '15 at 21:09 add a comment| https://github.com/TalkingQuickly/rails-server-template/issues/5 This causes Ruby to be compiled with C readline support. Rails Console Cannot Load Such File -- Readline Reload to refresh your session. Rails Require Cannot Load Such File If you can give me a bit more detail then happy to investigate further!

Not the answer you're looking for? http://culturahq.com/cannot-load/test-helper-rails.html Ruby 2.2.3 installation will then fail with message: error: ‘SSLv3_method’ undeclared here The workaround is to apply this patch adapted from Ruby trunk: curl -fsSL https://gist.github.com/mislav/055441129184a1512bb5.txt | \ rbenv install --patch Use `bundle show [gemname]` to see where a bundled gem is installed.
Post-install message from rdoc:
Depending on your version of ruby, you may need to install ruby rdoc/ri Skip to content Ignore Learn more Please note that GitHub no longer supports old versions of Firefox. Require Cannot Load Such File Loaderror

Lower the number of parallel jobs On hosts that report a large amount of CPU cores, but don't have plenty of RAM, you might get: gcc: internal compiler error: Killed (program no checking for editline/readline.h... danielristic commented May 7, 2014 Hi, thanks for looking at this. weblink share|improve this answer answered Feb 18 '12 at 13:24 iltempo 10.2k53559 1 What what exactly do I need to add to my Gemfile?

Why do the cars die after removing jumper cables Product catalog How do pilots identify the taxi path to the runway? Visiting Singapore for attending Conference. And different developers could end up with version mismatches.

You signed in with another tab or window.

Why did the best potions master have greasy hair? Additional Dependencies: # For Ruby / Ruby HEAD (MRI, Rubinius, & REE), install the following: ruby: /usr/bin/apt-get install build-essential openssl libreadline6 libreadline6-dev curl git-core zlib1g zlib1g-dev libssl-dev libyaml-dev libsqlite3-dev sqlite3 libxml2-dev It is exposed as rbenv install through rbenv or simply as ruby-build when used standalone. You signed out in another tab or window.

more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed Join them; it only takes a minute: Sign up Rails console: in `require': cannot load such file — readline (LoadError) up vote 8 down vote favorite I've got some errors in share|improve this answer answered Apr 8 '14 at 6:55 Flock Dawson 6602719 2 gem install readline should be gem install rb-readline –aqingsao Oct 25 '14 at 0:21 add a comment| check over here Firstly, I refetched the readline lib sudo apt-get install libreadline-dev Then I uninstalled ruby rvm remove 2.1.1 I installed ruby again rvm install 2.1.1 I told RVM to use the default

However, it was dying on require 'irb/completion' Due to LoadError: no such file to load -- readline Which seems to be caused by the fact that ruby wasn't installed with readline. gem 'rb-readline', "~> 0.5.0.pre.1", :require => false share|improve this answer answered Sep 13 '13 at 21:42 Igor Escobar 542310 add a comment| up vote 4 down vote The easiest way to This will fail for Ruby versions other than the system one. $ cat /etc/env.d/10rubygems RUBYOPT="-rauto_gem" The solution is to configure your shell init script to export -n RUBYOPT (unexport) the value asked 2 years ago viewed 13276 times active 1 year ago Upcoming Events 2016 Community Moderator Election ends Nov 22 Linked 27 cannot load such file — readline (LoadError) when running

Unfortunately, nothing seems to work. but now i have some code so i don't want to create this again. We recommend upgrading to the latest Safari, Google Chrome, or Firefox. Reload to refresh your session.

then gem_original_require path else spec = Gem::Specification.find { |s| s.activated? But if you're trying to run just this one project, use "weird" platform (Windows), rb-readline is probably way to go. Sign in to comment Contact GitHub API Training Shop Blog About © 2016 GitHub, Inc. This is better for some because you now have pure-Ruby implementation that works on every platform but requires you to specify it in Gemfile (which shouldn't be much of a problem)

I think irb doesn't require readline unless something in your .irbrc files depends on it, and something in console does. i have linux mint 17 ruby 2.1.4p265 (2014-10-27 revision 48166) [i686-linux] Rails 4.1.8 ruby-on-rails ruby rails-console share|improve this question asked Dec 5 '14 at 6:23 xploshioOn 441411 Try bundle The top answer is actually two answers merged into one. rb-readlineをgemで追加 エラーを解消するために、rb-readline をインストールします。 Gemfile に rb-readline を追記し、bundle install でインストール Gemfile 追加記述 gem 'rb-readline' インストール実行 $ bundle install 実行結果 Fetching gem metadata from https://rubygems.org/..........
Fetching version metadata from https://rubygems.org/..
Resolving dependencies...
Using

That's what we did before we had bundler. I've just tried this on DO and with: "rbenv":{ "rubies": [ "2.1.1" ], "global" : "2.1.1", "gems": { "2.1.1" : [ {"name":"bundler"} ] } }, I get a Ruby with readline


  • © Copyright 2017 culturahq.com. All rights reserved.